import Pannel from '@/components/pannel/index.vue';
import Block from '@/components/block/index.vue';
import data from './data.js';
import { analysisContractTypes } from '../../../../api/index.js'
import { mapGetters } from 'vuex'
export default {
  components: {
    Block,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      data
    };
  },
  methods: {
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        analysisContractTypes(this.deptId, this.year).then(res => {
          this.data[0][0].value = res.data.numHt
          this.data[0][1].value = res.data.zhte
          this.data[1][0].value = res.data.yjk
          this.data[1][1].value = res.data.djk
          this.isLoad = true;
        })
      }
    }
  }
};
